Get Task (legacy)
curl --request GET \
--url https://api.scale.com/v1/task/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scale.com/v1/task/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scale.com/v1/task/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scale.com/v1/task/{task_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scale.com/v1/task/{task_id}")
.header("Authorization", "Bearer <token>")
.asString();{
"task_id": "123",
"created_at": "2024-01-01T00:00:00.000Z",
"type": "chat",
"params": {},
"response": {
"responses": [
{
"type": "Instructions",
"output": ""
},
{
"type": "PromptInput",
"output": "test prompt"
}
]
}
}v1
Get Task (legacy)
GET
/
v1
/
task
/
{task_id}
Get Task (legacy)
curl --request GET \
--url https://api.scale.com/v1/task/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scale.com/v1/task/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scale.com/v1/task/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scale.com/v1/task/{task_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scale.com/v1/task/{task_id}")
.header("Authorization", "Bearer <token>")
.asString();{
"task_id": "123",
"created_at": "2024-01-01T00:00:00.000Z",
"type": "chat",
"params": {},
"response": {
"responses": [
{
"type": "Instructions",
"output": ""
},
{
"type": "PromptInput",
"output": "test prompt"
}
]
}
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Path Parameters
Scale's unique identifier for the task. Unique identifier for a task
Example:
"task_abc123"
Response
200 - application/json
List of completed tasks.
Unique identifier for the task.
Example:
"123"
Timestamp when the task was created.
Example:
"2024-01-01T00:00:00.000Z"
Type of the task
Example:
"chat"
Additional parameters for the task.
Response object containing task output.
Show child attributes
Show child attributes
Example:
{ "responses": [ { "type": "Instructions", "output": "" }, { "type": "PromptInput", "output": "test prompt" } ] }

